Jetson tk-1 crashes constantly after re-image

I recieved my Jetson-TK1 a few weeks ago and it was running fine till this weekend when I installed CUDA. I originally installed the incorrect ARM version off the main site, but it would not install. I uninstalled the remnants for that and I found the version specific for the jetson and was able to get it to install, compile the samples, and then run. However, when I rebooted the system the next time it started its normal boot process and initially printed to the screen. It showed the nvidia splash screen, and then went black. I had no command prompt or anything. I rebooted several times and it would always hang no matter how long it sat. The only thing I knew to do at that point was re-image the system in the thought that I could start over from scratch. I followed the instructions off the jetson site and the flash script said the image was burned correctly. However, when I booted up again afterwards I started seeing weird differences. First, instead of starting at the command prompt like it did the first time it immediately booted into the GUI. So that told me right off the bat that something from my original install was still left. Also, I could not reset the time at all. It was like I did not have permissions, or something under the hood was not working. I could not shutdown the computer through the menu either. When I selected shutdown it only allowed log out, and once logged out it would still not let me shutdown. I had to shutdown manually through the terminal. In addition, every webpage I tried to go to in firefox said it had invalid security credentials and needed an exception, which is not what happened from the original image. Also, one of the first things I did was start the software center to install Synaptic. When I got the board this worked with no issues. This time it showed synaptic, but said it was available through the universe repository. When I clicked the button to use that repo the software center crashes. It always crashes when I try this and have not been able to install it, or almost any of the other apps I need. As I started trying other things on the system they would all crash constantly as well. It was difficult to do anything without getting crash reports. The crashes were related to org.freedesktop.DBus.Error.Spawn.ExecFailed error. Here are three example crash reports:

First:
Traceback:
Traceback (most recent call last):
File “/usr/share/software-center/softwarecenter/backend/installbackend_impl/aptd.py”, line 437, in reload
sources_list=sources_list, defer=True)
DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program /usr/lib/dbus-1.0/dbus-daemon-launch-helper: Success

Uname: Linux 3.10.24-g6a2d13a armv7l
UserGroups: adm audio dialout sudo video
_LogindSession: /user/1000.user/c1.session

Second:
Traceback:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 175, in activate_name_owner
return self.get_name_owner(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 361, in get_name_owner
‘s’, (bus_name,), **keywords)
File “/usr/lib/python3/dist-packages/dbus/connection.py”, line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name ‘com.ubuntu.SoftwareProperties’: no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/software-properties-gtk”, line 101, in
app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
File “/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py”, line 141, in init
proxy = bus.get_object(“com.ubuntu.SoftwareProperties”, “/”)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File “/usr/lib/python3/dist-packages/dbus/proxies.py”, line 248, in init
self._named_service = conn.activate_name_owner(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 278, in start_service_by_name
‘su’, (bus_name, flags)))
File “/usr/lib/python3/dist-packages/dbus/connection.py”, line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program /usr/lib/dbus-1.0/dbus-daemon-launch-helper: Success
UserGroups: adm audio dialout sudo video
_LogindSession: /user/1000.user/c1.session

Third:
Traceback:
Traceback (most recent call last):
File “/usr/share/apport/apport-gtk”, line 581, in
GLib.idle_add(lambda: self.collect_info(on_finished=self.ui_update_view))
File “/usr/lib/python3/dist-packages/apport/ui.py”, line 1053, in collect_info
icthread.exc_raise()
File “/usr/lib/python3/dist-packages/apport/REThread.py”, line 63, in exc_raise
raise self._exception[1].with_traceback(self._exception[2])
File “/usr/lib/python3/dist-packages/apport/REThread.py”, line 33, in run
self._retval = self.__target(*self.__args, **self.__kwargs)
File “/usr/lib/python3/dist-packages/apport/ui.py”, line 106, in thread_collect_info
report.add_package_info(package)
File “/usr/lib/python3/dist-packages/apport/report.py”, line 285, in add_package_info
version = packaging.get_version(package)
File “/usr/lib/python3/dist-packages/apport/packaging_impl.py”, line 120, in get_version
pkg = self._apt_pkg(package)
File “/usr/lib/python3/dist-packages/apport/packaging_impl.py”, line 113, in _apt_pkg
return self._cache()[package]
File “/usr/lib/python3/dist-packages/apport/packaging_impl.py”, line 81, in _cache
self._apt_cache = apt.Cache(progress, rootdir=’/’)
File “/usr/lib/python3/dist-packages/apt/cache.py”, line 103, in init
self._check_and_create_required_dirs(rootdir)
File “/usr/lib/python3/dist-packages/apt/cache.py”, line 129, in _check_and_create_required_dirs
os.makedirs(rootdir + d)
File “/usr/lib/python3.4/os.py”, line 237, in makedirs
mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: ‘//var/lib/apt/lists/partial’
UserGroups: adm audio dialout sudo video
_LogindSession: /user/1000.user/c1.session

So something was definitely not kosher with the new image. I would think that a new image would overwrite everything and start the same as the first time I started the board, but that does not appear to be the case. I contacted nvidia support and they suggested I re-burn the image. I did that and it behaved exactly the same way and crashes constantly. I am still not really sure what caused the board to not boot up in the first place. Is this a hardware issue or software? Why did the image not reset everything to a default state? I looked in the docs for some flag or something I missed to format the eMMMC card first, but did not see anything. Has anyone seen anything similar to this, or does anyone have any suggestions on how to fix the broken image or what I can do to make sure the image file sets everything back to the default state I got it in?
crash_reports.zip (26.8 KB)